// NOTE: [Must this JS loaded as last item]


	// ===============================================================
	// Initialize Form
	// ===============================================================
	function FORM_LOAD()
	{
		// Initialize
		// _______________________________________________________________________	
		var DGV_ELEMENT_CHILD = null;
		var DGV_ELEMENT_CHILD_INDEX = 0;
		
		
		// Load DataGridVuew
		// _______________________________________________________________________	
		BFIP_DGV = DataGridView("BFIP_DGV");
		//BFIP_DGV.SETTING_ALLOW_USER_TO_ADD_ROWS = true;
		//BFIP_DGV.SETTING_EDITABLE = true;
		BFIP_DGV.ON_CLICK
		(			
			function(COL_INDEX, ROW_INDEX)
			{
				// Delete Button
				// ...........................................
				if(BFIP_DGV.COLUMN.NAME(COL_INDEX) == "DELETE_CMD")
				{
					// Delete Unsaved Item
					if
					(
						BFIP_DGV.COLUMN.IS_EXISTS("ACC_BFIP_ID") &&
						JSVC_NUM.VAR_NVALL(BFIP_DGV.CELL.VALUE("ACC_BFIP_ID", ROW_INDEX)) <= 0
					)
					{
						BFIP_DGV.ROW.REMOVE_AT(ROW_INDEX);
					}
					
					// Delete Saved Item
					else
					{
						HTTP_DELETE
						(
							function(IS_SUCCESS)
							{
								console.log('Record Deleted.');
							}, 
							ROW_INDEX
						);				
					}
				}			

				// Void Button
				// ...........................................
				else if(BFIP_DGV.COLUMN.NAME(COL_INDEX) == "VOID_CMD")
				{
					// Delete Unsaved Item
					if
					(
						BFIP_DGV.COLUMN.IS_EXISTS("ACC_BFIP_ID") &&
						JSVC_NUM.VAR_NVALL(BFIP_DGV.CELL.VALUE("ACC_BFIP_ID", ROW_INDEX)) <= 0
					)
					{
						BFIP_DGV.ROW.REMOVE_AT(ROW_INDEX);
					}
					
					// Void Saved Item
					else
					{

					}
				}	
				
				// Link to Child Table
				// ...........................................
	
				// If dialog supported
				// ...........................................
				else if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("BFIP_MODAL") == true)
				{
					// Clear Modal
					if(JSVC_VAR.VAR_ISSET(INPUT_INSTANCE))
					{
						JSOC_WINDOW.VAR_INPUT_INSTANCE_RESTORE(INPUT_INSTANCE);
					}
						
					// Display Modal
					PROPERTY_ACC_BFIP_ID = BFIP_DGV.CELL.VALUE('ACC_BFIP_ID', ROW_INDEX);
					PROPERTY_EDIT_ROW_INDEX = ROW_INDEX;
					JSOC_DIALOG.VAR_MODAL("BFIP_MODAL", true);
					HTTP_LOAD();
					return;
				}
				
				// Open View / Edit Page
				// ...........................................
				else if(BFIP_DGV.SETTING_EDITABLE == false)
				{
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);

					
							
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID', 
						BFIP_DGV.CELL.VALUE('ACC_BFIP_ID', ROW_INDEX), 
						5, 
						CURRENT_ROOT_PATH
					);
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION', 
						BFIP_DGV.CELL.VALUE('ACC_BFIP_IP', ROW_INDEX), 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Open EditPage
					window.location = 'bfip_info.html';				
				}

			}
		);   

		
		// Show Progress
		// _______________________________________________________________________	
		JSOC_DIALOG.VAR_LOADING_SPINNER(true);
		
		
		// Requires Authentication
		// _______________________________________________________________________	
		PAGE_AUTH_REQUIRES_LOGIN(HTTP_POPULATE_RESULT);			


		
		
		// Status		
		// _______________________________________________________________________	
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_STATUS_CMB") == true)
		{
			JSOC_CMB.VAR_CLEAR("SEARCH_ACC_BFIP_STATUS_CMB");
			JSOC_CMB.VAR_ADD("SEARCH_ACC_BFIP_STATUS_CMB", "0","Any Status");
			JSOC_CMB.VAR_ADD("SEARCH_ACC_BFIP_STATUS_CMB", "1","Blocked");
			JSOC_CMB.VAR_ADD("SEARCH_ACC_BFIP_STATUS_CMB", "2","Regular");
			JSOC_CMB.VAR_ADD("SEARCH_ACC_BFIP_STATUS_CMB", "3","Blacklist");
			JSOC_CMB.VAR_ADD("SEARCH_ACC_BFIP_STATUS_CMB", "4","Whitelist");
		}			
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_BFIP_STATUS_CMB") == true)
		{
			JSOC_CMB.VAR_CLEAR("ACC_BFIP_STATUS_CMB");
			JSOC_CMB.VAR_ADD("ACC_BFIP_STATUS_CMB", "1","Blocked");
			JSOC_CMB.VAR_ADD("ACC_BFIP_STATUS_CMB", "2","Regular");
			JSOC_CMB.VAR_ADD("ACC_BFIP_STATUS_CMB", "3","Blacklist");
			JSOC_CMB.VAR_ADD("ACC_BFIP_STATUS_CMB", "4","Whitelist");
			JSOC_CMB.VAR_SELECTED_VALUE("ACC_BFIP_STATUS_CMB", "2");
		}
		
		
		// Get Modal Instance (Add Modal Adjustment before this line)
		// _______________________________________________________________________	
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("BFIP_MODAL") == true)
		{
			INPUT_INSTANCE = JSOC_WINDOW.VAR_INPUT_INSTANCE_CLONE("BFIP_MODAL");
		}
		
		
		// Add Search Events for the SEARCH_CMD - Button
		// _______________________________________________________________________	
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			var SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH()};
		}
		
		
		// Add Search Events for the SEARCH_DESCRIPTION_TXT - TextInput
		// _______________________________________________________________________		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_IP_TXT"))
		{
			var SEARCH_ACC_BFIP_IP_TXT = JSOC_ELEMENT.VAR_GET("SEARCH_ACC_BFIP_IP_TXT");
			SEARCH_ACC_BFIP_IP_TXT.onkeydown = 
				function() 
				{ 
					return function(e) 
					{
						if
						(
							(
								e.which == 13 || 
								e.keyCode == 13 || 
								e.key === "Enter"
							) &&
							JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD")
						)
						{
							HTTP_SEARCH();
						}
					};
				}();;		
		}
		
		
		// Load Parent Data (if Exists)
		// _______________________________________________________________________	
		HTTP_PARENT_LOAD();
		
		
		// Pre-Load Items (uncomment if no foreign key pre-fetch)
		// _______________________________________________________________________	
		if(CUS_SEND_REQUEST_HAS_QUEUE() == false)
		{
			HTTP_SEARCH();
		}
		
		
		// Disable Dialogs
		// _______________________________________________________________________	
		CUS_SEND_DIALOG_TRY_DISMISS();
	}
	
	
	// ===============================================================
	// Populate Foreign Keys
	// ===============================================================
	function HTTP_POPULATE_RESULT(IS_SUCCESS, HTTP_RESPONSE)
	{
		// Disable Dialogs
		CUS_SEND_DIALOG_TRY_DISMISS();
			
		// Handle Error
		if(IS_SUCCESS === false)
		{
			alert("Unable to populate lists.");
		}
		else
		{
			// Disable Dialogs
			if(CUS_SEND_REQUEST_HAS_QUEUE() == false)
			{
				HTTP_SEARCH();
			}
		}
	}

	
	// ===============================================================
	// Request Search - PART.A
	// ===============================================================
	function HTTP_SEARCH(NEW_ITEM_ID, EDITED_ROW_INDEX)
	{
		// Optional Value
		NEW_ITEM_ID = JSVC_VAR.VAR_OPTIONAL(NEW_ITEM_ID, -1);
		EDITED_ROW_INDEX = JSVC_VAR.VAR_OPTIONAL(EDITED_ROW_INDEX, -1);
		
		// Parameter Validate
		JSVC_AV.VAR_VALIDATE_ARGUMENT_TYPE(NEW_ITEM_ID, 'NEW_ITEM_ID', 'NUMERIC');
		JSVC_AV.VAR_VALIDATE_ARGUMENT_TYPE(EDITED_ROW_INDEX, 'EDITED_ROW_INDEX', 'NUMERIC');
		
		
		// Actual Function
		GET_MAP_ARRAY = JSCUS_SQL._ACCOUNT._BFIP.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();	
		//  if(JSVC_VAR.VAR_ISSET("PROPERTY_PARENT_ID"))
		// {
		//	JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_PARENT_ID', PROPERTY_PARENT_ID);
		// }  // Parent ID Sample
		
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_IP_TXT") == true &&
			JSVC_STR.VAR_IS_BLANK( JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_IP_TXT")) == false
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_IP', JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_IP_TXT"));
		}
		
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_DESCRIPTION_TXT") == true &&
			JSVC_STR.VAR_IS_BLANK( JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_DESCRIPTION_TXT")) == false
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_DESCRIPTION', JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_DESCRIPTION_TXT"));
		}
		
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_LAST_ACTIVITY_FROM_DTP") == true &&
			JSOC_STYLE.VAR_IS_VISIBLE('SEARCH_ACC_BFIP_LAST_ACTIVITY_FROM_DTP') == true &&
			JSVC_STR.VAR_IS_BLANK(JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_LAST_ACTIVITY_FROM_DTP")) == false
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_LAST_ACTIVITY_FROM', JSVC_DATE.VAR_FORMAT(JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_LAST_ACTIVITY_FROM_DTP"), "YYYY-MM-DD") + " 00:00:00.000000");
		}
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_LAST_ACTIVITY_TO_DTP") == true &&
			JSOC_STYLE.VAR_IS_VISIBLE('SEARCH_ACC_BFIP_LAST_ACTIVITY_TO_DTP') == true &&
			JSVC_STR.VAR_IS_BLANK(JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_LAST_ACTIVITY_TO_DTP")) == false
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_LAST_ACTIVITY_TO', JSVC_DATE.VAR_FORMAT(JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_LAST_ACTIVITY_TO_DTP"), "YYYY-MM-DD") + " 23:59:59.999999");
		}
		
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_FAIL_COUNT_FROM_TXT") == true &&
			JSOC_STYLE.VAR_IS_VISIBLE('SEARCH_ACC_BFIP_FAIL_COUNT_FROM_TXT') == true
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_FAIL_COUNT_FROM', JSVC_NUM.VAR_NVAL(JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_FAIL_COUNT_FROM_TXT")));
		}
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_FAIL_COUNT_TO_TXT") == true &&
			JSOC_STYLE.VAR_IS_VISIBLE('SEARCH_ACC_BFIP_FAIL_COUNT_TO_TXT') == true
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_FAIL_COUNT_TO', JSVC_NUM.VAR_NVAL(JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_FAIL_COUNT_TO_TXT")));
		}			
		
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_LOCK_COUNT_FROM_TXT") == true &&
			JSOC_STYLE.VAR_IS_VISIBLE('SEARCH_ACC_BFIP_LOCK_COUNT_FROM_TXT') == true
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_LOCK_COUNT_FROM', JSVC_NUM.VAR_NVAL(JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_LOCK_COUNT_FROM_TXT")));
		}
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_LOCK_COUNT_TO_TXT") == true &&
			JSOC_STYLE.VAR_IS_VISIBLE('SEARCH_ACC_BFIP_LOCK_COUNT_TO_TXT') == true
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_LOCK_COUNT_TO', JSVC_NUM.VAR_NVAL(JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_LOCK_COUNT_TO_TXT")));
		}			
		
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_SUCCESS_COUNT_FROM_TXT") == true &&
			JSOC_STYLE.VAR_IS_VISIBLE('SEARCH_ACC_BFIP_SUCCESS_COUNT_FROM_TXT') == true
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_SUCCESS_COUNT_FROM', JSVC_NUM.VAR_NVAL(JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_SUCCESS_COUNT_FROM_TXT")));
		}
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_SUCCESS_COUNT_TO_TXT") == true &&
			JSOC_STYLE.VAR_IS_VISIBLE('SEARCH_ACC_BFIP_SUCCESS_COUNT_TO_TXT') == true
		)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_SUCCESS_COUNT_TO', JSVC_NUM.VAR_NVAL(JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_BFIP_SUCCESS_COUNT_TO_TXT")));
		}			
		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_BFIP_STATUS_CMB") == true)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_STATUS', JSVC_NUM.VAR_NVAL(JSOC_CMB.VAR_SELECTED_VALUE("SEARCH_ACC_BFIP_STATUS_CMB")));
		}
		
		
		JSOC_DIALOG.VAR_LOADING_SPINNER(true);
		
		if(NEW_ITEM_ID < 0)
		{
			JSCUS_SQL._ACCOUNT._BFIP.CUS_GET
			(
				GET_MAP_ARRAY,
				HTTP_SEARCH_CALLBACK,
				true
			); 		
		}
		else
		{		
			GET_MAP_ARRAY = JSCUS_SQL._ACCOUNT._BFIP.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();	
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_ACC_BFIP_ID', NEW_ITEM_ID);
			
			JSCUS_SQL._ACCOUNT._BFIP.CUS_GET
			(
				GET_MAP_ARRAY,
				function(IS_SUCCESS, RESPONSE_STRING)
				{
					// Update Existing Row
					if(EDITED_ROW_INDEX >= 0)
					{
						HTTP_SEARCH_LIMITED_ROWS_CALLBACK(IS_SUCCESS, RESPONSE_STRING, EDITED_ROW_INDEX);
					}
					
					// Add new item
					else
					{
						HTTP_SEARCH_LIMITED_ROWS_CALLBACK(IS_SUCCESS, RESPONSE_STRING, 0);
					}
				},
				true
			); 		
		}
       		
	}
	
	
	// ===============================================================
	// Request Search - PART.B
	// ===============================================================
	function HTTP_SEARCH_CALLBACK(IS_SUCCESS, RESPONSE_STRING)
	{
		// Disable Dialogs
		// _______________________________________________________________________
		CUS_SEND_DIALOG_TRY_DISMISS();
		
		// Validate
		// _______________________________________________________________________
		if(IS_SUCCESS === false)
		{
			console.error("CONNECTION ERROR: \n" + RESPONSE_STRING);
			return;
		}
		
		// Validate JSON Response
		// _______________________________________________________________________
		var JSON_OBJECT = JSRC_JSON.REF_CREATE(RESPONSE_STRING);
		if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
		{
			console.error("REQUEST ERROR: \n" + RESPONSE_STRING);
			return;
		}
		
		// JSON Empty (Clears the DataGrodView)
		// _______________________________________________________________________
		if(JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT") <= 0)
		{
			BFIP_DGV.ROW.CLEAR();
			return;
		}

		// Populate DGV
		// _______________________________________________________________________
		BFIP_DGV.POPULATE_FROM_QUERY
		(
				JSON_OBJECT, 
				'',
				false,
				false,
				1,
				[2, 1]
		);
		
		
		// For Applying CFormat
		// _______________________________________________________________________	
		
		
		// Initialize
		// _______________________________________________________________________	
		var WEBTABLE_DATE = null;
		var ROW_INDEX = 0;
	
	
		// DateTime Format
		// _______________________________________________________________________	
		if(BFIP_DGV.COLUMN.IS_EXISTS("ACC_BFIP_LAST_ACTIVITY"))
		{
			WEBTABLE_DATE = null;
			ROW_INDEX = 0;
			while(BFIP_DGV.ROW.COUNT() > ROW_INDEX)
			{
				// Read Current Value
				// ...........................................
				 WEBTABLE_DATE = JSVC_DATE.VAR_TO_DATE
					 (
							BFIP_DGV.CELL.VALUE
							(
									"ACC_BFIP_LAST_ACTIVITY", 
									ROW_INDEX
							)
					 );
				
				// Apply CFormat, and DateFormat
				// ...........................................
				if(JSVC_VAR.VAR_ISSET(WEBTABLE_DATE))
				{
					BFIP_DGV.CELL.VALUE
					(
							"ACC_BFIP_LAST_ACTIVITY", ROW_INDEX, 
							JSVC_DATE.VAR_FORMAT(WEBTABLE_DATE, "MMM DD, YYYY - hh:mm tt")
					);				
				}			
				
				// Color Coding (Uncomment to use)
				// ...........................................	
				//BFIP_DGV.CELL.ELEMENT("COLUMN_NAME", ROW_INDEX).style.color = "#1cc88a"; // Safe
				//BFIP_DGV.CELL.ELEMENT("COLUMN_NAME", ROW_INDEX).style.color = "#5a5c69"; // Neutral
				//BFIP_DGV.CELL.ELEMENT("COLUMN_NAME", ROW_INDEX).style.color = "#f6c23e"; // Caution
				//BFIP_DGV.CELL.ELEMENT("COLUMN_NAME", ROW_INDEX).style.color = "#e74a3b"; // Warning
				
				// To next loop
				// ...........................................	
				ROW_INDEX ++;
			}			
		}

	}
	
	
	// ===============================================================
	// Request Search - PART.C
	// ===============================================================
	function HTTP_SEARCH_LIMITED_ROWS_CALLBACK(IS_SUCCESS, RESPONSE_STRING, ROW_INDEX)
	{
		// Disable Dialogs
		// _______________________________________________________________________
		CUS_SEND_DIALOG_TRY_DISMISS();
		
		// Validate
		// _______________________________________________________________________
		if(IS_SUCCESS === false)
		{
			console.error("CONNECTION ERROR: \n" + RESPONSE_STRING);
			return;
		}
		
		// Validate JSON Response
		// _______________________________________________________________________
		var JSON_OBJECT = JSRC_JSON.REF_CREATE(RESPONSE_STRING);
		if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
		{
			console.error("REQUEST ERROR: \n" + RESPONSE_STRING);
			return;
		}
		
		// JSON Empty (Clears the DataGrodView)
		// _______________________________________________________________________
		if(JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT") <= 0)
		{
			BFIP_DGV.ROW.CLEAR();
			return;
		}

		// Validate Row Count
		// _______________________________________________________________________	
		if(BFIP_DGV.ROW.COUNT() <= 0)
		{
			console.error("DataGridView has no rows to fill.");
			return;
		}
		JSVC_AV.VAR_VALIDATE_RANGE(ROW_INDEX, "ROW_INDEX", 0, BFIP_DGV.ROW.COUNT() - 1);
		
		// Populate DGV
		// _______________________________________________________________________
		BFIP_DGV.POPULATE_FROM_QUERY
		(
				JSON_OBJECT, 
				'',
				false,
				false,
				1,
				[2, 1],
				ROW_INDEX
		);
		
		
		// For Applying CFormat
		// _______________________________________________________________________	
		
		
		// Initialize
		// _______________________________________________________________________	
		var WEBTABLE_DATE = null;
	
	
		// DateTime Format
		// _______________________________________________________________________	
		if(BFIP_DGV.COLUMN.IS_EXISTS("ACC_BFIP_LAST_ACTIVITY"))
		{
			WEBTABLE_DATE = null;
			// Read Current Value
			// ...........................................
			 WEBTABLE_DATE = JSVC_DATE.VAR_TO_DATE
				 (
						BFIP_DGV.CELL.VALUE
						(
								"ACC_BFIP_LAST_ACTIVITY", 
								ROW_INDEX
						)
				 );
			
			// Apply CFormat, and DateFormat
			// ...........................................
			if(JSVC_VAR.VAR_ISSET(WEBTABLE_DATE))
			{
				BFIP_DGV.CELL.VALUE
				(
						"ACC_BFIP_LAST_ACTIVITY", ROW_INDEX, 
						JSVC_DATE.VAR_FORMAT(WEBTABLE_DATE, "MMM DD, YYYY")
				);				
			}			
			
			// Color Coding (Uncomment to use)
			// ...........................................	
			//BFIP_DGV.CELL.ELEMENT("COLUMN_NAME", ROW_INDEX).style.color = "#1cc88a"; // Safe
			//BFIP_DGV.CELL.ELEMENT("COLUMN_NAME", ROW_INDEX).style.color = "#5a5c69"; // Neutral
			//BFIP_DGV.CELL.ELEMENT("COLUMN_NAME", ROW_INDEX).style.color = "#f6c23e"; // Caution
			//BFIP_DGV.CELL.ELEMENT("COLUMN_NAME", ROW_INDEX).style.color = "#e74a3b"; // Warning
		}

	}
	
				
	// ===============================================================
	// Begin Processing the Page
	// ===============================================================
	FORM_INITIALIZE();
	FORM_LOAD();